CREATE TABLE atk_homepage_objects (
    OBJECT_CODE                 VARCHAR2(400) ,
    FUSE_CARD_CODE              VARCHAR2(400)     NOT NULL,
    IMAGE_PATH                  VARCHAR2(1600),
    LABEL_LOOKUP_TYPE           VARCHAR2(120)     NOT NULL,
    LABEL_LOOKUP_CODE           VARCHAR2(120)     NOT NULL,
    TASKFLOW_ID                 VARCHAR2(1600)    NOT NULL,
    TASKFLOW_INPUT_PARAMLIST    VARCHAR2(1600),
    FUSE_COMMON_OBJECT          VARCHAR2(4)       NOT NULL,
    REMOTE                      VARCHAR2(4)       NOT NULL,
    WEBAPP_MODULE               VARCHAR2(400)     NOT NULL,
    SECURITY_STRIPE             VARCHAR2(40)      NOT NULL,
    ENABLED                     VARCHAR2(4)       NOT NULL,
    SEQUENCE                    NUMBER(9, 0)  ,
    CAN_BE_HIDDEN               VARCHAR2(4)       NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    OBJECT_CODE                 VARCHAR2(400) ,
    FUSE_CARD_CODE              VARCHAR2(400)     NOT NULL,
    IMAGE_PATH                  VARCHAR2(1600),
    LABEL_LOOKUP_TYPE           VARCHAR2(120)     NOT NULL,
    LABEL_LOOKUP_CODE           VARCHAR2(120)     NOT NULL,
    TASKFLOW_ID                 VARCHAR2(1600)    NOT NULL,
    TASKFLOW_INPUT_PARAMLIST    VARCHAR2(1600),
    FUSE_COMMON_OBJECT          VARCHAR2(4)       NOT NULL,
    REMOTE                      VARCHAR2(4)       NOT NULL,
    WEBAPP_MODULE               VARCHAR2(400)     NOT NULL,
    SECURITY_STRIPE             VARCHAR2(40)      NOT NULL,
    ENABLED                     VARCHAR2(4)       NOT NULL,
    SEQUENCE                    NUMBER(9, 0)  ,
    MODULE_ID                   VARCHAR2(128) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CAN_BE_HIDDEN               VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_atk_homepage_objects PRIMARY KEY (OBJECT_CODE, OBJECT_CODE)
);
